net.minecraft.client.multiplayer

## Class WorldClient

- java.lang.Object
- - net.minecraft.world.World
  - - net.minecraft.client.multiplayer.WorldClient

- All Implemented Interfaces:
    IBlockAccess

      public class WorldClient
      extends World

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.world.World

      `activeChunkSet, difficultySetting, findingSpawnPoint, isRemote, lastLightningBolt, loadedEntityList, loadedTileEntityList, mapStorage, MAX_ENTITY_RADIUS, perWorldStorage, playerEntities, prevRainingStrength, prevThunderingStrength, provider, rainingStrength, rand, scheduledUpdatesAreImmediate, skylightSubtracted, theProfiler, thunderingStrength, villageCollectionObj, weatherEffects`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorldClient(NetClientHandler par1NetClientHandler, WorldSettings par2WorldSettings, int par3, int par4, Profiler par5Profiler, ILogAgent par6ILogAgent)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addEntityToWorld(int par1, Entity par2Entity)` Add an ID to Entity mapping to entityHashSet
    `CrashReportCategory` | `addWorldInfoToCrashReport(CrashReport par1CrashReport)` Adds some basic stats of the world to the given crash report.
    `void` | `doPreChunk(int par1, int par2, boolean par3)`
    `void` | `doVoidFogParticles(int par1, int par2, int par3)`
    `void` | `func_92088_a(double par1, double par3, double par5, double par7, double par9, double par11, NBTTagCompound par13NBTTagCompound)`
    `void` | `func_96443_a(Scoreboard par1Scoreboard)`
    `Entity` | `getEntityByID(int par1)` Returns the Entity with the given ID, or null if it doesn't exist in this World.
    `IUpdatePlayerListBox` | `getMinecartSoundUpdater(EntityMinecart par1EntityMinecart)`
    `void` | `invalidateBlockReceiveRegion(int par1, int par2, int par3, int par4, int par5, int par6)` Invalidates an AABB region of blocks from the receive queue, in the event that the block has been modified client-side in the intervening 80 receive ticks.
    `void` | `onEntityRemoved(Entity par1Entity)`
    `void` | `playSound(double par1, double par3, double par5, String par7Str, float par8, float par9, boolean par10)` par8 is loudness, all pars passed to minecraftInstance.sndManager.playSound
    `void` | `removeAllEntities()` also releases skins.
    `void` | `removeEntity(Entity par1Entity)` Schedule the entity for removal during the next tick.
    `Entity` | `removeEntityFromWorld(int par1)`
    `void` | `sendQuittingDisconnectingPacket()` If on MP, sends a quitting packet.
    `boolean` | `setBlockAndMetadataAndInvalidate(int par1, int par2, int par3, int par4, int par5)`
    `void` | `setWorldTime(long par1)` Sets the world time.
    `boolean` | `spawnEntityInWorld(Entity par1Entity)` Called to place all entities as part of a world
    `void` | `tick()` Runs a single tick for the world
    `void` | `updateWeatherBody()`

    - ### Methods inherited from class net.minecraft.world.World

      `addBlockEvent, addLoadedEntities, addTileEntity, addTileEntity, addWeatherEffect, addWorldAccess, blockExists, blockGetRenderType, blockHasTileEntity, calculateInitialSkylight, calculateInitialWeatherBody, calculateSkylightSubtracted, canBlockFreeze, canBlockFreezeBody, canBlockSeeTheSky, canLightningStrikeAt, canMineBlock, canMineBlockBody, canPlaceEntityOnSide, canSnowAt, canSnowAtBody, checkBlockCollision, checkChunksExist, checkNoEntityCollision, checkNoEntityCollision, checkSessionLock, clip, clip, countEntities, countEntities, createExplosion, destroyBlock, destroyBlockInWorldPartially, doChunksNearChunkExist, doesBlockHaveSolidTopSurface, drawCloudsBody, extendedLevelsInChunkCache, extinguishFire, findClosestStructure, findNearestEntityWithinAABB, func_82738_a, func_82739_e, func_96440_m, getActualHeight, getBiomeGenForCoords, getBiomeGenForCoordsBody, getBlockDensity, getBlockId, getBlockLightOpacity, getBlockLightValue_do, getBlockLightValue, getBlockMaterial, getBlockMetadata, getBlockPowerInput, getBlockTileEntity, getBrightness, getCelestialAngle, getCelestialAngleRadians, getChunkFromBlockCoords, getChunkFromChunkCoords, getChunkHeightMapMinimum, getChunkProvider, getClosestPlayer, getClosestPlayerToEntity, getClosestVulnerablePlayer, getClosestVulnerablePlayerToEntity, getCloudColour, getCollidingBlockBounds, getCollidingBoundingBoxes, getCurrentDate, getCurrentMoonPhaseFactor, getDebugLoadedEntities, getEntitiesWithinAABB, getEntitiesWithinAABBExcludingEntity, getEntitiesWithinAABBExcludingEntity, getEntityPathToXYZ, getFirstUncoveredBlock, getFogColor, getFullBlockLightValue, getGameRules, getHeight, getHeightValue, getHorizon, getIndirectPowerLevelTo, getIndirectPowerOutput, getLightBrightness, getLightBrightnessForSkyBlocks, getLoadedEntityList, getLocationTensionFactor, getMoonPhase, getPathEntityToEntity, getPendingBlockUpdates, getPersistentChunks, getPlayerEntityByName, getPrecipitationHeight, getProviderName, getRainStrength, getSavedLightValue, getSaveHandler, getScoreboard, getSeed, getSkyBlockTypeBrightness, getSkyColor, getSkyColorBody, getSpawnPoint, getStarBrightness, getStarBrightnessBody, getStrongestIndirectPower, getSunBrightness, getTensionFactorForBlock, getTopSolidOrLiquidBlock, getTotalWorldTime, getUniqueDataId, getWeightedThunderStrength, getWorldChunkManager, getWorldInfo, getWorldLogAgent, getWorldTime, getWorldVec3Pool, handleMaterialAcceleration, isAABBInMaterial, isAirBlock, isAnyLiquid, isBlockFreezable, isBlockFreezableNaturally, isBlockFullCube, isBlockHighHumidity, isBlockIndirectlyGettingPowered, isBlockNormalCube, isBlockNormalCubeDefault, isBlockOpaqueCube, isBlockProvidingPowerTo, isBlockSolidOnSide, isBlockSolidOnSide, isBlockTickScheduledThisTick, isBlockTopFacingSurfaceSolid, isBoundingBoxBurning, isDaytime, isMaterialInBB, isRaining, isThundering, joinEntityInSurroundings, loadItemData, markBlockForRenderUpdate, markBlockForUpdate, markBlockRangeForRenderUpdate, markBlocksDirtyVertical, markTileEntityChunkModified, markTileEntityForDespawn, newExplosion, notifyBlockChange, notifyBlockOfNeighborChange, notifyBlocksOfNeighborChange, notifyBlocksOfNeighborChange, playAuxSFX, playAuxSFXAtEntity, playRecord, playSoundAtEntity, playSoundEffect, playSoundToNearExcept, rayTraceBlocks_do_do, removeBlockTileEntity, removePlayerEntityDangerously, removeWorldAccess, scheduleBlockUpdate, scheduleBlockUpdateFromLoad, scheduleBlockUpdateWithPriority, selectEntitiesWithinAABB, setAllowedSpawnTypes, setBlock, setBlock, setBlockMetadataWithNotify, setBlockTileEntity, setBlockToAir, setEntityState, setItemData, setLightValue, setRainStrength, setRandomSeed, setSpawnLocation, setSpawnLocation, spawnParticle, tickUpdates, toggleRain, unloadEntities, updateAllLightTypes, updateAllPlayersSleepingFlag, updateEntities, updateEntity, updateEntityWithOptionalForce, updateLightByType`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WorldClient

          public WorldClient(NetClientHandler par1NetClientHandler,
                     WorldSettings par2WorldSettings,
                     int par3,
                     int par4,
                     Profiler par5Profiler,
                     ILogAgent par6ILogAgent)

  - ### Method Detail

    - #### tick

          public void tick()

      Runs a single tick for the world
      Overrides:
        `tick` in class `World`

    - #### invalidateBlockReceiveRegion

          public void invalidateBlockReceiveRegion(int par1,
                                          int par2,
                                          int par3,
                                          int par4,
                                          int par5,
                                          int par6)

      Invalidates an AABB region of blocks from the receive queue, in the event that the block has been modified client-side in the intervening 80 receive ticks.

    - #### doPreChunk

          public void doPreChunk(int par1,
                        int par2,
                        boolean par3)

    - #### spawnEntityInWorld

          public boolean spawnEntityInWorld(Entity par1Entity)

      Called to place all entities as part of a world
      Overrides:
        `spawnEntityInWorld` in class `World`

    - #### removeEntity

          public void removeEntity(Entity par1Entity)

      Schedule the entity for removal during the next tick. Marks the entity dead in anticipation.
      Overrides:
        `removeEntity` in class `World`

    - #### onEntityRemoved

          public void onEntityRemoved(Entity par1Entity)

      Overrides:
        `onEntityRemoved` in class `World`

    - #### addEntityToWorld

          public void addEntityToWorld(int par1,
                              Entity par2Entity)

      Add an ID to Entity mapping to entityHashSet

    - #### getEntityByID

          public Entity getEntityByID(int par1)

      Returns the Entity with the given ID, or null if it doesn't exist in this World.
      Specified by:
        `getEntityByID` in class `World`

    - #### removeEntityFromWorld

          public Entity removeEntityFromWorld(int par1)

    - #### setBlockAndMetadataAndInvalidate

          public boolean setBlockAndMetadataAndInvalidate(int par1,
                                                 int par2,
                                                 int par3,
                                                 int par4,
                                                 int par5)

    - #### sendQuittingDisconnectingPacket

          public void sendQuittingDisconnectingPacket()

      If on MP, sends a quitting packet.
      Overrides:
        `sendQuittingDisconnectingPacket` in class `World`

    - #### getMinecartSoundUpdater

          public IUpdatePlayerListBox getMinecartSoundUpdater(EntityMinecart par1EntityMinecart)

      Overrides:
        `getMinecartSoundUpdater` in class `World`

    - #### updateWeatherBody

          public void updateWeatherBody()

      Overrides:
        `updateWeatherBody` in class `World`

    - #### doVoidFogParticles

          public void doVoidFogParticles(int par1,
                                int par2,
                                int par3)

    - #### removeAllEntities

          public void removeAllEntities()

      also releases skins.

    - #### addWorldInfoToCrashReport

          public CrashReportCategory addWorldInfoToCrashReport(CrashReport par1CrashReport)

      Adds some basic stats of the world to the given crash report.
      Overrides:
        `addWorldInfoToCrashReport` in class `World`

    - #### playSound

          public void playSound(double par1,
                       double par3,
                       double par5,
                       String par7Str,
                       float par8,
                       float par9,
                       boolean par10)

      par8 is loudness, all pars passed to minecraftInstance.sndManager.playSound
      Overrides:
        `playSound` in class `World`

    - #### func_92088_a

          public void func_92088_a(double par1,
                          double par3,
                          double par5,
                          double par7,
                          double par9,
                          double par11,
                          NBTTagCompound par13NBTTagCompound)

      Overrides:
        `func_92088_a` in class `World`

    - #### func_96443_a

          public void func_96443_a(Scoreboard par1Scoreboard)

    - #### setWorldTime

          public void setWorldTime(long par1)

      Sets the world time.
      Overrides:
        `setWorldTime` in class `World`